## htree 0.0.20040714

=== Makefile ===
RUBY=ruby
RD2HTML=rd2 -r rd/rd2html-lib.rb

all: README.html doc/index.html

README.html: README.rd
	$(RD2HTML) --html-title='htree - HTML/XML tree library' -o README README.rd

check test:
	$(RUBY) -I. test-all.rb

install:
	$(RUBY) install.rb

.PHONY: check test all install

RB = htree.rb $(wildcard htree/*.rb)
doc/index.html: $(RB)
	rm -rf doc
	rdoc $(RB)

## htree 0.1.1

=== DESCRIPTION ===
Package: htree
Version: 0.1.1
Date: 2017-04-25
Depends: R (>= 2.9.0)
Title: Historical Tree Ensembles for Longitudinal Data
Author: Joe Sexton <joesexton0@gmail.com>
Description: Historical regression trees are an extension of standard trees, 
	producing a non-parametric estimate of how the response depends on 
	all of its prior realizations as well as that of any time-varying predictor 
	variables. The method applies equally to regularly as well as irregularly 
	sampled data. The package implements random forest and boosting ensembles 
	based on historical regression trees, suitable for longitudinal data. 
Maintainer: Joe Sexton <joesexton0@gmail.com>
License: GPL (>= 2)
Repository: CRAN
NeedsCompilation: yes
Packaged: 2017-04-26 05:40:03 UTC; js
Date/Publication: 2017-04-26 05:47:48 UTC

## htree 0.8

=== debian/changelog ===
htree (0.8-1) unstable; urgency=low

  * New upstream release.
  * debian/source/format: New.
  * debian/patches/01-makefile.diff: New.
  * debian/rules: Re-write for newer debhelper.

 -- NIIBE Yutaka <gniibe@fsij.org>  Wed, 10 Jul 2013 07:29:37 +0000

htree (0.7-5) unstable; urgency=low

  * debian/control (Build-Depends, Build-Depends-Indep):
    Added ruby1.8, removed rdoc (Closes: #581317).
    Thanks to Lucas Nussbaum <lucas@lucas-nussbaum.net>
    (Homepage): Added.
  
 -- NIIBE Yutaka <gniibe@fsij.org>  Thu, 13 May 2010 10:39:40 +0900

htree (0.7-4) unstable; urgency=low

  Ruby 1.9.1 fixes (Closes: #569878).
  Thanks to Lucas Nussbaum <lucas@lucas-nussbaum.net>
  * debian/control (Package): Package name is libhtree-ruby1.9.1 now.
  (Depends): libruby1.9.1.
  * debian/rules: libtree-ruby1.9.1.
  * debian/libhtree-ruby1.9.{dirs,docs,install}: Renamed to 1.9.1.
  * debian/libhtree-ruby1.9.1.install: Follow the change of pathname.
  
 -- NIIBE Yutaka <gniibe@fsij.org>  Wed, 24 Mar 2010 11:52:58 +0900

htree (0.7-3) unstable; urgency=low

  * debian/control (Standards-Version): Updated to 3.8.4.
  (Section): Changed to ruby (was: interpreters).
  (Depends): Added ${misc:Depends}.
  * debian/rules: Use 1.9.1 for load path (Closes: #569878).
  * debian/libhtree-ruby1.9.{dirs,install}: Ditto.

 -- NIIBE Yutaka <gniibe@fsij.org>  Wed, 24 Feb 2010 14:48:10 +0900

htree (0.7-2) unstable; urgency=low

  * debian/rules: Use 1.9.0 for load path (Closes: #484620).
  * debian/libhtree-ruby1.9.{dirs,install}: Ditto.

 -- NIIBE Yutaka <gniibe@fsij.org>  Fri, 13 Jun 2008 08:41:01 +0900

htree (0.7-1) unstable; urgency=low

  * New upstream release.
  * debian/watch: New file.
  * debian/control: Added libhtree-ruby1.9 (Closes: #379017).

 -- NIIBE Yutaka <gniibe@fsij.org>  Mon, 14 Apr 2008 13:16:50 +0900

htree (0.6-1) unstable; urgency=low

  * New maintainer (Closes: #472715).
  * New upstream release (Closes: #379016).

 -- NIIBE Yutaka <gniibe@fsij.org>  Fri, 28 Mar 2008 12:41:25 +0900

htree (0.0.20040714-1) unstable; urgency=low

  * New upstream release
  * cvs checkout on 20040714

 -- Takuo KITAME <kitame@debian.org>  Wed, 14 Jul 2004 16:17:40 +0900

htree (0.0.20040617-1) unstable; urgency=low

  * New upstream release

 -- Takuo KITAME <kitame@debian.org>  Fri, 18 Jun 2004 12:30:00 +0900

htree (0.0.20040611-1) unstable; urgency=low

  * Initial Release.

 -- Takuo KITAME <kitame@debian.org>  Fri, 11 Jun 2004 11:08:55 +0900

=== debian/control ===
Source: htree
Section: ruby
Priority: optional
Maintainer: NIIBE Yutaka <gniibe@fsij.org>
Build-Depends: debhelper (>= 9), ruby, ruby1.8
Standards-Version: 3.9.4
Homepage: http://www.a-k-r.org/htree/

Package: libhtree-ruby1.8
Architecture: all
Depends: ${misc:Depends}, libruby1.8
Description: HTML/XML tree library for Ruby 1.8
 htree provides a tree data structure which represent HTML and XML data.

Package: libhtree-ruby1.9.1
Architecture: all
Depends: ${misc:Depends}, libruby1.9.1
Description: HTML/XML tree library for Ruby 1.9.1
 htree provides a tree data structure which represent HTML and XML data.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile-gmake -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

=== debian/watch ===
version=3
http://a-k-r.org/htree/htree-(.*)\.tar\.gz

## htree 1.0.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: htree
-Version: 0.1.1
-Date: 2017-04-25
+Version: 1.0.0
+Date: 2018-04-14
 Depends: R (>= 2.9.0)
 Title: Historical Tree Ensembles for Longitudinal Data
 Author: Joe Sexton <joesexton0@gmail.com>
@@ -10,9 +10,10 @@
 	variables. The method applies equally to regularly as well as irregularly 
 	sampled data. The package implements random forest and boosting ensembles 
 	based on historical regression trees, suitable for longitudinal data. 
+	Standard error estimation and Z-score variable importance is also implemented.
 Maintainer: Joe Sexton <joesexton0@gmail.com>
 License: GPL (>= 2)
 Repository: CRAN
 NeedsCompilation: yes
-Packaged: 2017-04-26 05:40:03 UTC; js
-Date/Publication: 2017-04-26 05:47:48 UTC
+Packaged: 2018-04-14 19:53:53 UTC; js
+Date/Publication: 2018-04-14 20:34:50 UTC

## htree 2.0.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: htree
-Version: 1.0.0
-Date: 2018-04-14
-Depends: R (>= 2.9.0)
+Version: 2.0.0
+Date: 2018-06-23
+Depends: R (>= 2.9.0), parallel
 Title: Historical Tree Ensembles for Longitudinal Data
 Author: Joe Sexton <joesexton0@gmail.com>
 Description: Historical regression trees are an extension of standard trees, 
@@ -15,5 +15,5 @@
 License: GPL (>= 2)
 Repository: CRAN
 NeedsCompilation: yes
-Packaged: 2018-04-14 19:53:53 UTC; js
-Date/Publication: 2018-04-14 20:34:50 UTC
+Packaged: 2018-07-13 14:16:12 UTC; joe
+Date/Publication: 2018-07-13 15:00:03 UTC
